* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

.nav-bar {
    position: fixed;
    top: 0;
    
    width: 100%;
    background-color: var(--color-dark);
    display: flex;
    padding: 1rem 0rem 1rem 0rem;

    i:hover {
        color: white;
        cursor:pointer;
    }

    li:hover {
        color: white;
       
        cursor:pointer;
    }

}

.nav-bar-left {
    /* flex: 2; */
    display: flex;
    align-items: center;

    img {
        background-color: blue;
        width: 34px;
        height: 34px;
        border-radius: 100px;
    }

    * {
        font-size: 19px;
        margin-left: 1rem;
        color: white;

    }
    p{
        font-weight: 550;
    }
    i {
        font-size: 25px;
        color: #d7d7d7;

    }



}
.nav-spacing{
    margin-top: 80px;
}
.nav-bar-middle {
    flex: 6;
    display: flex;
    align-items: center;
    margin-left: 3vw;


    ul {

        flex: 1;
        display: flex;
        gap: calc(.5rem + 2vw);

        li {
            &:first-of-type {
                margin-left: calc(2vw);
            }

            list-style: none;


            font-size: 16px;
            color: #d7d7d7;

        }


    }

}
.nav-bar-middle-mobile {
    flex: 6;
    display: flex;
    align-items: center;
    margin-left: 3vw;


   i {
        font-size: 25px;
        color: #d7d7d7;

    }
    display: none;

}

.nav-bar-right {
    flex: 1;
    display: inline-flex;
    justify-content: flex-end;
    align-items: center;

    * {

        color: #d7d7d7;
        font-size: 20px;
        margin-right: 1rem;
    }


    *:first-child {
        margin-right: .9rem;
    }


}

@media (max-width: 700px) {

    .nav-bar{
       position: inherit;
    }
    .nav-bar-left{
        i{
            font-size: 22px;
           margin-left: .9rem;
        }
        img{
            margin-left: .6rem;
            width: 30px;
            height: 30px;
        }
        p{
            
            margin-left: .6rem;
            font-size: 18px;
        }
    }
    .nav-bar-middle{
        display: none;
    }
    .nav-bar-middle-mobile{
        display: flex;
        i{
            font-size: 21px;
            margin-right: .75rem;
        }
    }
    .nav-bar-right{
        *{
            margin-right: 1rem;
        }
        *:first-child{
            margin-right: .5rem;
        }
    }
}
@media (max-width: 700px) {
    .nav-spacing{
        margin-top: 0rem;
    }
}